<ion-view view-title="Revisar PDF">
    <ion-content class="budget-new">
        <div class=" infos">
            <div class="">
                <h3>Informações pessoais</h3>
                <div class="profile-budget">
                    <p>{{ user.name }}</p>
                    <p>{{ user.CPF }}</p>
                    <p>{{ user.email }}</p>
                    <p>{{ user.phone }}</p>
                    <p>{{ user.address }}</p>
                </div>
            </div>
            <div class="">
                <h3>Informações do cliente</h3>
                <div class="profile-budget">
                    <p>{{ budget.client.full_name }}</p>
                    <p>{{ budget.client.cpf }}</p>
                    <p>{{ budget.client.email }}</p>
                    <p>{{ budget.client.phone }}</p>
                    <p>{{ budget.client.address }}</p>
                </div>
            </div>
            <div class="">
                <h3>Materiais e produtos</h3>
                <div class="stats profile-budget">
                    <div class="row" ng-repeat="product in budget.products" ng-show="product.qty && product.name && product.price">
                        <div class="col col-20">
                            <input ng-model="product.qty" type="tel" class="text-right stats-item" readonly>
                        </div>
                        <div class="col col-50 stats-qty">
                            <input ng-model="product.name" type="text" class="stats-item" readonly>
                            <em style="opacity: {{ product.qty ? 1 : .6 }}">x</em>
                        </div>
                        <div class="col col-33">
                            <input ng-model="product.price" type="tel" class="text-right stats-item" readonly>
                        </div>
                    </div>
                </div>
                <div class="stats-result">
                    <em>Subtotal:</em>
                    <span>{{ getTotal( budget.products ) | currency:"R$ " }}</span>
                </div>
            </div>
            <div class="">
                <h3>Mão de obra e serviços</h3>
                <div class="stats profile-budget">
                    <div class="row" ng-repeat="labor in budget.labors" ng-show="labor.qty && labor.name && labor.price">
                        <div class="col col-20">
                            <input ng-model="labor.qty" type="tel" class="text-right stats-item" readonly>
                        </div>
                        <div class="col col-50 stats-qty">
                            <input ng-model="labor.name" type="text" class="stats-item" readonly>
                            <em style="opacity: {{ labor.qty ? 1 : .6 }}">x</em>
                        </div>
                        <div class="col col-33">
                            <input ng-model="labor.price" type="tel" class="text-right stats-item" readonly>
                        </div>
                    </div>
                </div>
                <div class="stats-result">
                    <em>Subtotal:</em>
                    <span>{{ getTotal( budget.labors ) | currency:"R$ " }}</span>
                </div>
            </div>
            <div class="">
                <h3>Descrição dos serviços</h3>
                <div class="profile-budget">
                    <p ng-hide="budget.description" class="text-muted">Não há observações</p>
                    <p ng-show="budget.description">{{ budget.description }}</p>
                </div>
            </div>
            <div class="">
                <h3>Forma de pagamento</h3>
                <div class="profile-budget">
                    <p ng-hide="budget.payment_details" class="text-muted">Não há observações</p>
                    <p ng-show="budget.payment_details">{{ budget.payment_details }}</p>
                </div>
            </div>
            <div class="">
                <h3>Valor total</h3>
                <div class="profile-budget">
                    <p>
                        Valor:
                        <em class="review-total">{{ getTotal( budget.products ) + getTotal( budget.labors ) | currency:"R$ " }}</em>
                    </p>
                </div>
            </div>
        </div>
        <a ng-if="!edit" ng-click="createBudget()" class="col col-66 edit-btn">
            <i class="ion-android-document"></i>
            Gerar PDF
        </a>
        <a ng-if="edit" ng-click="editBudget({{budgetId}})" class="col col-66 edit-btn">
            <i class="ion-android-document"></i>
            Salvar Alterações
        </a>
    </ion-content>
</ion-view>
